layabox2.0命令行在vscode中编译打包问题

检查node的版本和gulp版本,最好使用nvm来管理node版本,本人遇到这两种版本匹配的时候会造成layaair2-cmd命令编译报错的问题
形如下面的报错xN7网页模板,帝国cms模板,网站模板免费下载,做网站首选站长魔吧

primordials is not definedxN7网页模板,帝国cms模板,网站模板免费下载,做网站首选站长魔吧

使用的正确的一组版本匹配xN7网页模板,帝国cms模板,网站模板免费下载,做网站首选站长魔吧

1
2
3
4
5
6
7
8
PS E:studyprojectlayalayaTestApp> nvm list
 
  12.16.2
 * 10.4.0 (Currently using 64-bit executable)
PS E:studyprojectlayalayaTestApp> gulp -v
CLI version: 2.2.0
Local version: 4.0.2
PS E:studyprojectlayalayaTestApp>

下面安装layaair2-cmdxN7网页模板,帝国cms模板,网站模板免费下载,做网站首选站长魔吧

1
npm i layaair2-cmd -g

安装完以后就可以使用命令行了啊xN7网页模板,帝国cms模板,网站模板免费下载,做网站首选站长魔吧

发布命令xN7网页模板,帝国cms模板,网站模板免费下载,做网站首选站长魔吧

1
layaair2-cmd compile

打包命令xN7网页模板,帝国cms模板,网站模板免费下载,做网站首选站长魔吧

1
2
3
4
5
6
7
8
9
10
11
12
13
14
//HTML5版本发布命令
layaair2-cmd publish -c web
//微信小游戏版本发布命令
layaair2-cmd publish -c wxgame
//百度小游戏版本发布命令
layaair2-cmd publish -c bdgame
//小米快游戏版本发布命令
layaair2-cmd publish -c xmgame
//OPPO小游戏版本发布命令
layaair2-cmd publish -c oppogame
//vivo小游戏版本发布命令
layaair2-cmd publish -c vivogame
//QQ小游戏版本发布命令
layaair2-cmd publish -c qqgame

注意xN7网页模板,帝国cms模板,网站模板免费下载,做网站首选站长魔吧

除了编译命令以外,对于发布命令,需要你在laya的编辑器里手动发布一次,不然会提示你找不到对应的json文件,比如wxgame.jsonxN7网页模板,帝国cms模板,网站模板免费下载,做网站首选站长魔吧

除此之外,若是想在vscode界面点击f5,可以执行编译然后在启动,需要配置一下tasks.json和launch.json
tasks.jsonxN7网页模板,帝国cms模板,网站模板免费下载,做网站首选站长魔吧

1
2
3
4
5
6
7
8
9
10
11
12
13
14
{
  "version": "2.0.0",
  "tasks": [
    {
      "label": "compile",
      "type": "shell",
      "command": "layaair2-cmd compile",
      "group":{
        "kind": "build",
        "isDefault": true
      }
    }
  ]
}

launch.jsonxN7网页模板,帝国cms模板,网站模板免费下载,做网站首选站长魔吧

1
"preLaunchTask": "compile"

总结xN7网页模板,帝国cms模板,网站模板免费下载,做网站首选站长魔吧

到此这篇关于layabox2.0命令行在vscode中编译打包问题的文章就介绍到这了xN7网页模板,帝国cms模板,网站模板免费下载,做网站首选站长魔吧


xN7网页模板,帝国cms模板,网站模板免费下载,做网站首选站长魔吧